> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-configure-environment-settings.md).

# Configure environment settings

{% hint style="info" %}
Included in the Basic API.
{% endhint %}

You can use the Tonic Structural API to configure selected [environment settings](/app/admin/environment-variables-setting.md). The settings that you can configure are the same settings that are listed on the **Environment Settings** tab of **Structural Settings**.

## Identify the settings that you can configure <a href="#tonic-api-environment-setting-config-identify" id="tonic-api-environment-setting-config-identify"></a>

To identify the settings that you can use the API to configure, use:

[<mark style="background-color:blue;">**GET**</mark>**&#x20;/api/environment/settings**](https://app.tonic.ai/apidocs/index.html#/EnvironmentSettings/GetSettingValuesAsync)

For each setting, the response includes the setting name, the current value, and the default value.

## Update an environment setting <a href="#tonic-api-environment-setting-config-update" id="tonic-api-environment-setting-config-update"></a>

To update the value of an environment setting, use:

[<mark style="background-color:green;">**POST**</mark>**&#x20;/api/environment/settings/\<setting name>**](https://app.tonic.ai/apidocs/index.html#/EnvironmentSettings/SetSettingValueAsync)

The request body provides the new value.

## Restore an environment setting to the default value <a href="#tonic-api-environment-setting-config-reset" id="tonic-api-environment-setting-config-reset"></a>

For an environment setting that you can configure from the API, the default value is either:

* The setting value in the .yaml file.
* If the setting is not configured in the .yaml file, the Structural default value.

To restore the default value, use:

[<mark style="background-color:red;">**DELETE**</mark>**&#x20;/api/environment/settings/\<setting name>**](https://app.tonic.ai/apidocs/index.html#/EnvironmentSettings/UnsetSettingValueAsync)

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/app/api/quick-start-guide/tonic-api-configure-environment-settings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
